%define name	drpython
%define version	2.2.7
%define release 1mdk

%define pyver	2.3

Name: 	 	%{name}
Summary: 	Python editor and development environment.
Version: 	%{version}
Release: 	%{release}

Source:		%{name}-%{version}.zip
URL:		http://drpython.sourceforge.net/
License:	GPL
Group:		Development/Python
BuildRoot:	%{_tmppath}/%{name}-buildroot
Requires:	wxPythonGTK
BuildRequires:	ImageMagick
BuildArch:	noarch

%description
DrPython is a highly customizable, simple, and clean editing environment for
developing Python programs. It is intended primarily for use in schools, and
is a tribute to DrScheme.

%prep
%setup -q
chmod 644 %name.py

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%_bindir
mkdir -p $RPM_BUILD_ROOT/%_datadir/%name
cp *.py* $RPM_BUILD_ROOT/%_datadir/%name
cp -r examples bitmaps $RPM_BUILD_ROOT/%_datadir/%name
echo '#!/bin/bash' > $RPM_BUILD_ROOT/%_bindir/%name
echo 'cd %_datadir/%name' >> $RPM_BUILD_ROOT/%_bindir/%name
echo 'python drpython.pyw' >> $RPM_BUILD_ROOT/%_bindir/%name
chmod 755 $RPM_BUILD_ROOT/%_bindir/%name

#menu
mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat << EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}): command="%{_bindir}/%{name}" icon="%{name}.png" needs="x11" title="Dr. Python" longtitle="Python Editor and IDE" section="Applications/Development/Development environments"
EOF

#icons
mkdir -p $RPM_BUILD_ROOT/%_liconsdir
convert -size 16x16 documentation/%name.png $RPM_BUILD_ROOT/%_liconsdir/%name.png
mkdir -p $RPM_BUILD_ROOT/%_iconsdir
convert -size 32x32 documentation/%name.png $RPM_BUILD_ROOT/%_iconsdir/%name.png
mkdir -p $RPM_BUILD_ROOT/%_miconsdir
convert -size 48x48 documentation/%name.png $RPM_BUILD_ROOT/%_miconsdir/%name.png

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_menus
		
%postun
%clean_menus

%files
%defattr(-,root,root)
%doc documentation/ examples/ *.txt
%{_bindir}/%name
%{_datadir}/%name
%{_menudir}/%name
%{_liconsdir}/%name.png
%{_iconsdir}/%name.png
%{_miconsdir}/%name.png

%changelog
* Sun Feb 22 2004 Austin Acton <austin@mandrake.org> 2.2.7-1mdk
- 2.2.7

* Fri Feb 21 2004 Austin Acton <austin@mandrake.org> 2.2.6-1mdk
- 2.2.6

* Sun Feb 15 2004 Austin Acton <austin@mandrake.org> 2.2.3-1mdk
- 2.2.3

* Mon Feb 9 2004 Austin Acton <austin@mandrake.org> 2.2.1-1mdk
- 2.2.1

* Sun Feb 8 2004 Austin Acton <austin@mandrake.org> 2.1.4-2mdk
- oops, make it run (James Sparenberg)
- put in /usr/share

* Wed Jan 28 2004 Austin Acton <austin@mandrake.org> 2.1.4-1mdk
- 2.1.4

* Sat Jan 24 2004 Austin Acton <austin@mandrake.org> 2.1.0-1mdk
- 2.1.0

* Sat Jan 17 2004 Austin Acton <austin@mandrake.org> 2.0.3-1mdk
- 2.0.3

* Wed Jan 14 2004 Franck Villaume <fvill@freesurf.fr> 2.0.2-2mdk
- BuildRequires : ImageMagick

* Thu Jan 8 2004 Austin Acton <austin@linux.ca> 2.0.2-1mdk
- initial package
